summaryrefslogtreecommitdiffstats
path: root/support/dependencies/dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'support/dependencies/dependencies.sh')
-rwxr-xr-xsupport/dependencies/dependencies.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index 7a02512c0..eb5a48184 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -158,6 +158,7 @@ if grep ^BR2_TOOLCHAIN_BUILDROOT=y $CONFIG_FILE > /dev/null && \
exit 1 ;
fi
fi
+
if grep -q ^BR2_PACKAGE_CLASSPATH=y $CONFIG_FILE ; then
for prog in javac jar; do
if ! which $prog > /dev/null ; then
@@ -166,3 +167,11 @@ if grep -q ^BR2_PACKAGE_CLASSPATH=y $CONFIG_FILE ; then
fi
done
fi
+
+if grep -E '^BR2_TARGET_GENERIC_ROOT_PASSWD=".+"$' $CONFIG_FILE > /dev/null 2>&1; then
+ if ! which mkpasswd > /dev/null 2>&1; then
+ /bin/echo -e "\nYou need the 'mkpasswd' utility to set the root password\n"
+ /bin/echo -e "(in Debian/ubuntu, 'mkpasswd' provided by the whois package)\n"
+ exit 1
+ fi
+fi